- Qt 5.5
- Qt3D Module
- C++ Classes
- MouseInput
- Qt 5.5.1 Reference Documentation

# MouseInput Class

(Qt3D::Input::MouseInput)

Inherits: |

- List of all members, including inherited members

## Public Functions

| MouseInput()
| ~MouseInput()
bool | isEnabled() const
QNodeId | mouseController() const
void | mouseEvent(const Q3DMouseEventPtr & event)
void | setInputHandler(InputHandler * handler)
void | updateFromPeer(QNode * peer)
void | wheelEvent(const Q3DWheelEventPtr & event)

## Protected Functions

void | sceneChangeEvent(const QSceneChangePtr & e)
void | setController(const QNodeId & controller)

## Member Function Documentation

### MouseInput::MouseInput()

### MouseInput::~MouseInput()

### bool MouseInput::isEnabled() const

### QNodeId MouseInput::mouseController() const

### void MouseInput::mouseEvent(const Q3DMouseEventPtr & event)

### `[protected]` void MouseInput::sceneChangeEvent(const QSceneChangePtr & e)

### `[protected]` void MouseInput::setController(const QNodeId & controller)

### void MouseInput::setInputHandler(InputHandler * handler)

### void MouseInput::updateFromPeer(QNode * peer)

### void MouseInput::wheelEvent(const Q3DWheelEventPtr & event)